List resource types
curl --request GET \
--url https://app.trelica.com/api/scim/v2/ResourceTypesconst url = 'https://app.trelica.com/api/scim/v2/ResourceTypes';
const options = {method: 'GET'};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));import requests
url = "https://app.trelica.com/api/scim/v2/ResourceTypes"
response = requests.get(url)
print(response.text)package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://app.trelica.com/api/scim/v2/ResourceTypes"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}using RestSharp;
var options = new RestClientOptions("https://app.trelica.com/api/scim/v2/ResourceTypes");
var client = new RestClient(options);
var request = new RestRequest("");
var response = await client.GetAsync(request);
Console.WriteLine("{0}", response.Content);
HttpResponse<String> response = Unirest.get("https://app.trelica.com/api/scim/v2/ResourceTypes")
.asString();<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.trelica.com/api/scim/v2/ResourceTypes",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}$response = Invoke-WebRequest -Uri 'https://app.trelica.com/api/scim/v2/ResourceTypes' -Method GETrequire 'uri'
require 'net/http'
url = URI("https://app.trelica.com/api/scim/v2/ResourceTypes")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"totalResults": 1,
"itemsPerPage": 100,
"startIndex": 0,
"schemas": [
"urn:ietf:params:scim:api:messages:2.0:ListResponse"
],
"Resources": [
{
"schemas": [
"urn:ietf:params:scim:schemas:core:2.0:ResourceType"
],
"name": "User",
"endpoint": "/api/scim/v2/User",
"description": "User Account",
"schema": "urn:ietf:params:scim:schemas:core:2.0:User",
"meta": {
"location": "https://app.trelica.com/api/scim/v2/ResourceTypes/User",
"resourceType": "ResourceType"
}
}
]
}SCIM
List resource types
Returns the SCIM 2.0 resource types this provider exposes (RFC 7643), in a SCIM ListResponse
envelope. SCIM clients read this during discovery. Per the SCIM standard, supplying a filter
is not permitted.
GET
/
api
/
scim
/
v2
/
ResourceTypes
List resource types
curl --request GET \
--url https://app.trelica.com/api/scim/v2/ResourceTypesconst url = 'https://app.trelica.com/api/scim/v2/ResourceTypes';
const options = {method: 'GET'};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));import requests
url = "https://app.trelica.com/api/scim/v2/ResourceTypes"
response = requests.get(url)
print(response.text)package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://app.trelica.com/api/scim/v2/ResourceTypes"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}using RestSharp;
var options = new RestClientOptions("https://app.trelica.com/api/scim/v2/ResourceTypes");
var client = new RestClient(options);
var request = new RestRequest("");
var response = await client.GetAsync(request);
Console.WriteLine("{0}", response.Content);
HttpResponse<String> response = Unirest.get("https://app.trelica.com/api/scim/v2/ResourceTypes")
.asString();<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.trelica.com/api/scim/v2/ResourceTypes",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}$response = Invoke-WebRequest -Uri 'https://app.trelica.com/api/scim/v2/ResourceTypes' -Method GETrequire 'uri'
require 'net/http'
url = URI("https://app.trelica.com/api/scim/v2/ResourceTypes")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"totalResults": 1,
"itemsPerPage": 100,
"startIndex": 0,
"schemas": [
"urn:ietf:params:scim:api:messages:2.0:ListResponse"
],
"Resources": [
{
"schemas": [
"urn:ietf:params:scim:schemas:core:2.0:ResourceType"
],
"name": "User",
"endpoint": "/api/scim/v2/User",
"description": "User Account",
"schema": "urn:ietf:params:scim:schemas:core:2.0:User",
"meta": {
"location": "https://app.trelica.com/api/scim/v2/ResourceTypes/User",
"resourceType": "ResourceType"
}
}
]
}Query Parameters
Response
200 - application/json
OK
The total number of results matching the query, across all pages.
The number of results returned in this page.
The 1-based index of the first result in this page.
The SCIM schema URIs for this response. Always the SCIM ListResponse schema.
The resources returned in this page.
Show child attributes
Show child attributes
Was this page helpful?